#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

Name:		qt-creator
Version:	3.0.0
Release:	%mkrel 1
License:	LGPLv2+ and MIT
Summary:	Qt Creator is a lightweight, cross-platform integrated development environment (IDE)
Group:		Development/KDE and Qt
URL:		http://qt-project.org/wiki/Category:Tools::QtCreator
Source0:	http://download.qt-project.org/official_releases/qtcreator/3.0/%{version}/qt-creator-opensource-src-%{version}.tar.gz
Source2:	Nokia-QtCreator.xml
Patch0:		qt-creator-opensource-src-3.0.0-linkage.patch
BuildRequires:	qtbase5-devel 
BuildRequires:  libqtscript5-devel
BuildRequires:  qt5declarative-devel
BuildRequires:  qt5declarative-private-devel
BuildRequires:  qt5help-devel
BuildRequires:  qt5designer-devel
BuildRequires:	qt5designer-private-devel
BuildRequires:  qtxmlpatterns5-devel
BuildRequires:  qt5widgets-private-devel
BuildRequires:  qtwebkitwidgets5-devel	
BuildRequires:  qtwebkit5-devel
BuildRequires:  qtquick5-devel
BuildRequires:  qt5quick-private-devel
BuildRequires:  qtqml5-devel
BuildRequires:  qt5qml-private-devel
BuildRequires:	qtx11extras5-devel
BuildRequires:	automoc4
BuildRequires:	qttools5
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(gstreamer-video-0.10)
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
Suggests:	    qttools5-designer
Suggests:	    qttools5-assistant
Suggests:	    qtbase5-devel

%description
Qt Creator (previously known as Project Greenhouse) is a new, lightweight, cross-platform integrated 
development environment (IDE) designed to make development with the Qt application framework even faster and easier.

%files
%doc README
%{_bindir}/qtcreator
%{_bindir}/qmlpuppet
%{_bindir}/qml2puppet
%{_bindir}/qtcreator_process_stub
%{_bindir}/qtpromaker
%{_bindir}/sdktool
%{_libdir}/qtcreator
%{_datadir}/qtcreator
%{_iconsdir}/*/*/*/*.png
%{_datadir}/mime/application/*
%{_datadir}/applications/qtcreator.desktop
%_sysconfdir/ld.so.conf.d/*.conf
%{_var}/lib/rpm/filetriggers/

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-opensource-src-%{version}
%apply_patches

%build
export QTDIR=%{_qt5_datadir}
%qmake_qt5 -r IDE_LIBRARY_BASENAME=%{_lib}
%make

%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT/%{_prefix}

mkdir -p %{buildroot}/%{_datadir}/mime/application
install -m 0644 %{SOURCE2} %{buildroot}/%{_datadir}/mime/application

mkdir -p %{buildroot}/%{_datadir}/applications

cat > %{buildroot}/%{_datadir}/applications/qtcreator.desktop << EOF
[Desktop Entry]
Type=Application
Exec=%_bindir/qtcreator
Name=Qt Creator
GenericName=C++ IDE for developing Qt applications
X-KDE-StartupNotify=true
Icon=qtcreator
Terminal=false
Categories=Development;IDE;Qt;
MimeType=text/x-c++src;text/x-c++hdr;text/x-xsrc;application/x-designer;application/vnd.nokia.qt.qmakeprofile;application/vnd.nokia.xml.qt.resource;
InitialPreference=9
EOF

# Use the new ld.so.conf.d
mkdir -p %buildroot/%_sysconfdir/ld.so.conf.d
pushd %buildroot/%_sysconfdir/ld.so.conf.d
echo "%{_libdir}/qtcreator" > qt-creator.conf
popd

install -d %buildroot%{_var}/lib/rpm/filetriggers
cat > %buildroot%{_var}/lib/rpm/filetriggers/qtcreator.filter << EOF
^.%{_libdir}/qtcreator/[^/]*\.so\.
EOF
cat > %buildroot%{_var}/lib/rpm/filetriggers/qt-creator.script << EOF
#!/bin/sh
ldconfig -X
EOF
chmod 755 %buildroot%{_var}/lib/rpm/filetriggers/qt-creator.script



%changelog
* Sat Dec 14 2013 fwang <fwang> 3.0.0-1.mga4
+ Revision: 556765
- fix linkage
- 3.0.0 final
- rebuild

* Sun Dec 01 2013 fwang <fwang> 3.0.0-0.rc1.1.mga4
+ Revision: 554489
- add br
- 3.0.0 rc1

* Tue Nov 19 2013 fwang <fwang> 3.0.0-0.beta.1.mga4
+ Revision: 551849
- update file list
- new version 3.0beta
- qt5v8 is not needed anymore

* Mon Oct 21 2013 umeabot <umeabot> 2.8.1-3.mga4
+ Revision: 539087
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 neoclust <neoclust> 2.8.1-2.mga4
+ Revision: 491350
- Rebuild against qt 5.2.0 alpha

* Thu Aug 29 2013 neoclust <neoclust> 2.8.1-1.mga4
+ Revision: 473123
- New version
- New version 2.8rc

  + fwang <fwang>
    - linkage fix
    - 2.8.0 final

* Thu Apr 18 2013 neoclust <neoclust> 2.7.0-2.mga3
+ Revision: 410425
- Rebuild against Qt 5.0.2

* Thu Mar 28 2013 neoclust <neoclust> 2.7.0-1.mga3
+ Revision: 405853
- New version 2.7.0 Final

* Wed Mar 13 2013 neoclust <neoclust> 2.7.0-0.rc.2.mga3
+ Revision: 402386
- Rebuild in core

* Sat Mar 09 2013 neoclust <neoclust> 2.7.0-0.rc.1.mga3
+ Revision: 401966
- New version 2.7.0RC

* Sun Feb 24 2013 neoclust <neoclust> 2.7.0-0.beta1.1.mga3
+ Revision: 400280
- New version 2.7.0 beta

* Wed Feb 06 2013 neoclust <neoclust> 2.6.2-1.mga3
+ Revision: 394926
- New version

* Sat Feb 02 2013 neoclust <neoclust> 2.6.1-6.mga3
+ Revision: 394068
- Fix suggests to be qt5 friendly

* Sun Jan 27 2013 neoclust <neoclust> 2.6.1-5.mga3
+ Revision: 392811
- Translate BR to qt5

* Sat Jan 26 2013 neoclust <neoclust> 2.6.1-4.mga3
+ Revision: 392436
- Add ld.conf and rpm trigger files

* Fri Jan 25 2013 fwang <fwang> 2.6.1-3.mga3
+ Revision: 392238
- br lrelease
- clear debug code
- update url

  + neoclust <neoclust>
    - Build against qt5

* Sun Jan 13 2013 umeabot <umeabot> 2.6.1-2.mga3
+ Revision: 379916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 neoclust <neoclust> 2.6.1-1.mga3
+ Revision: 344283
- New version 2.6.1

* Fri Nov 09 2012 neoclust <neoclust> 2.6.0-1.mga3
+ Revision: 316537
- New version 2.6.0

* Fri Aug 10 2012 neoclust <neoclust> 2.5.2-1.mga3
+ Revision: 280357
- New version 2.5.2

* Sun Jul 29 2012 fwang <fwang> 2.5.1-1.mga3
+ Revision: 275706
- new version 2.5.1

* Mon May 28 2012 fwang <fwang> 2.5.0-1.mga3
+ Revision: 247799
- new version 2.5.0

* Sat Feb 04 2012 fwang <fwang> 2.4.1-1.mga2
+ Revision: 204478
- update file list
- new version 2.4.1

* Tue Dec 27 2011 dmorgan <dmorgan> 2.4.0-3.mga2
+ Revision: 188042
- Fix file list
- Fix file list
- BR qt4-devel-private for qml design plugin

* Sun Dec 18 2011 fwang <fwang> 2.4.0-2.mga2
+ Revision: 183609
- br qtwebkit

* Thu Dec 15 2011 fwang <fwang> 2.4.0-1.mga2
+ Revision: 182249
- 2.4.0 final

* Mon Nov 28 2011 fwang <fwang> 2.4.0-0.rc.1.mga2
+ Revision: 173680
- new version 2.4.0

* Tue Oct 25 2011 dmorgan <dmorgan> 2.4.0-0.beta1.1.mga2
+ Revision: 158135
- New version 2.4.0 Beta

* Tue Oct 04 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 151514
- fix install
- new version 2.3.1

* Fri Sep 02 2011 tv <tv> 2.3.0-2.mga2
+ Revision: 137887
- make the huge doc subpackage be noarch

* Fri Sep 02 2011 fwang <fwang> 2.3.0-1.mga2
+ Revision: 137872
- fix typo
- move wrong files
- does not produce doc any more
- update file list
- update file list
- fix install
- new version 2.3.0

* Mon Jun 27 2011 fwang <fwang> 2.2.1-1.mga2
+ Revision: 114599
- new version 2.2.1

* Sat May 07 2011 mikala <mikala> 2.2.0-1.mga1
+ Revision: 95875
- Update to final 2.2.0

* Wed Apr 20 2011 mikala <mikala> 2.2.0-0.rc1.1.mga1
+ Revision: 88914
- Update to 2.2.0 rc1

* Mon Mar 07 2011 ahmad <ahmad> 2.1.0-2.mga1
+ Revision: 66204
- use the current qt4-devel Epoch in the BR
- imported package qt-creator

